Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer.portlet.info
Class WSRPPortletInfo

    java.lang.Object
      org.jboss.portal.wsrp.consumer.portlet.info.WSRPPortletInfo

All Implemented Interfaces:
  org.jboss.portal.portlet.info.PortletInfo

    public class WSRPPortletInfo

extends java.lang.Object
implements org.jboss.portal.portlet.info.PortletInfo

Since:
  2.4 (Apr 30, 2006)
Version:
  $Revision: 11454 $
Author:
  Chris Laprun

Constructor Summary
`WSRPPortletInfo(PortletDescription portletDescription, ProducerInfo originatingProducerInfo)`
`WSRPPortletInfo(WSRPPortletInfo other, java.lang.String newHandle)`

Method Summary
`java.lang.String` | `getApplicationName()`
`
`<T> T`
` | `getAttachment(java.lang.Class<T> tClass)`
`org.jboss.portal.portlet.info.CacheInfo` | `getCache()`
`org.jboss.portal.portlet.info.CapabilitiesInfo` | `getCapabilities()`
`org.jboss.portal.portlet.info.EventingInfo` | `getEventing()`
`java.lang.String` | `getGroupId()`
`org.jboss.portal.portlet.info.MetaInfo` | `getMeta()`
`java.lang.String` | `getName()`
`org.jboss.portal.portlet.info.NavigationInfo` | `getNavigation()`
`org.jboss.portal.portlet.info.PreferencesInfo` | `getPreferences()`
`org.jboss.portal.portlet.info.SecurityInfo` | `getSecurity()`
`boolean` | `isDefaultMarkupSecure()`
`boolean` | `isDoesUrlTemplateProcessing()`
`boolean` | `isHasUserSpecificState()`
`boolean` | `isOnlySecure()`
`java.lang.Boolean` | `isRemotable()`
`boolean` | `isTemplatesStoredInSession()`
`boolean` | `isUserContextStoredInSession()`
`boolean` | `isUsesMethodGet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRPPortletInfo

    public WSRPPortletInfo(PortletDescription portletDescription,
                           ProducerInfo originatingProducerInfo)

### WSRPPortletInfo

    public WSRPPortletInfo(WSRPPortletInfo other,
                           java.lang.String newHandle)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getApplicationName

    public java.lang.String getApplicationName()

  Specified by:
    `getApplicationName` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getCapabilities

    public org.jboss.portal.portlet.info.CapabilitiesInfo getCapabilities()

  Specified by:
    `getCapabilities` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getPreferences

    public org.jboss.portal.portlet.info.PreferencesInfo getPreferences()

  Specified by:
    `getPreferences` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getMeta

    public org.jboss.portal.portlet.info.MetaInfo getMeta()

  Specified by:
    `getMeta` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getSecurity

    public org.jboss.portal.portlet.info.SecurityInfo getSecurity()

  Specified by:
    `getSecurity` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getCache

    public org.jboss.portal.portlet.info.CacheInfo getCache()

  Specified by:
    `getCache` in interface `org.jboss.portal.portlet.info.PortletInfo`

### isRemotable

    public java.lang.Boolean isRemotable()

### getEventing

    public org.jboss.portal.portlet.info.EventingInfo getEventing()

  Specified by:
    `getEventing` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getNavigation

    public org.jboss.portal.portlet.info.NavigationInfo getNavigation()

  Specified by:
    `getNavigation` in interface `org.jboss.portal.portlet.info.PortletInfo`

### getAttachment

    public <T> T getAttachment(java.lang.Class<T> tClass)
                    throws java.lang.IllegalArgumentException

  Specified by:
    `getAttachment` in interface `org.jboss.portal.portlet.info.PortletInfo`
  Throws:
    `java.lang.IllegalArgumentException`

### isUsesMethodGet

    public boolean isUsesMethodGet()

### isDefaultMarkupSecure

    public boolean isDefaultMarkupSecure()

### isOnlySecure

    public boolean isOnlySecure()

### isHasUserSpecificState

    public boolean isHasUserSpecificState()

### isUserContextStoredInSession

    public boolean isUserContextStoredInSession()

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

### isDoesUrlTemplateProcessing

    public boolean isDoesUrlTemplateProcessing()

### getGroupId

    public java.lang.String getGroupId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD